{ lib, config, ... }:
with lib;
{
  services.mako = mkIf config.my.desktop.sway.enable {
    enable = true;

    layer = "overlay";
    anchor = "top-right";
    font = "JetBrainsMono Nerd Font 10";
    backgroundColor = "#3b4252";
    textColor = "#d8dee9";
    width = 330;
    height = 100;
    borderRadius = 2;
    defaultTimeout = 15000;

    extraConfig = ''
      [urgency=low]
      border-color=#434c5e

      [urgency=normal]
      border-color=#4c566a

      [urgency=high]
      default-timeout=0
      border-color=#bf616a
    '';
  };
}
