let
  camelot = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIL5rcgH4REOPtxC1ewvQgqzhWSB90/F6thtPVavToUbL";
  okeanos = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIH0xGPXVpx4xpTiRews/Pd4kLz2HHVPJg0Ew/Ufu4LEY";
  london = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFc0slhy7YWLN1/XcIUgARZmc6mZfYfstO5/VZbjMDRM";
  fuyuki = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEWvC35PgMJTdeaD2mH+17yu5tBAI6j3ml2mDtC0OXgn";
in
{
  "camelot-wg0.age".publicKeys = [
    camelot
  ];

  "camelot-wg1.age".publicKeys = [
    camelot
  ];

  "nextcloud-admin.age".publicKeys = [
    camelot
  ];

  "gts-env.age".publicKeys = [
    camelot
  ];

  "keycloak-db.age".publicKeys = [
    camelot
  ];

  "okeanos-wg0.age".publicKeys = [
    okeanos
  ];

  "london-wg0.age".publicKeys = [
    london
  ];

  "fuyuki-wg0.age".publicKeys = [
    fuyuki
  ];

  "personal-mail.age".publicKeys = [
    fuyuki
    london
  ];

  "public-mail.age".publicKeys = [
    fuyuki
    london
  ];

  "zfs-mail.age".publicKeys = [
    camelot
  ];
}
